summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2011-11-29 17:29:38 +0100
committermakefu <github@syntax-fehler.de>2011-11-29 17:29:38 +0100
commit1fc7003fe06fa6bec96136a915a008660c3731a3 (patch)
treee5bfaa4893c16d253894cab203223b11b4ea24e5
parentf80d7eb87f8916601347168604b86e719d9df105 (diff)
//punani client: install multiple packages one by one
like the old punani did
-rwxr-xr-xpunani/bin/punani8
1 files changed, 6 insertions, 2 deletions
diff --git a/punani/bin/punani b/punani/bin/punani
index 4be74f77..3f11cec8 100755
--- a/punani/bin/punani
+++ b/punani/bin/punani
@@ -52,11 +52,15 @@ fi
case "$ACTION" in
install)
set -x
- exec sudo $PACKER_CMD $INSTALL_PARAM $RESOLVED
+ for PKG in $RESOLVED; do
+ sudo $PACKER_CMD $INSTALL_PARAM $PKG || echo "Cannot install $PKG!"
+ done
;;
remove)
set -x
- exec sudo $PACKER_CMD $REMOVE_PARAM $RESOLVED
+ for PKG in $RESOLVED; do
+ sudo $PACKER_CMD $REMOVE_PARAM $PKG || echo "Cannot remove $PKG!"
+ done
;;
*)
echo "usage: `basename $0` (install|remove) PACKAGE..."